unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,mTListe, bankkonto2;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Edit2: TEdit;
    Label2: TLabel;
    Edit6: TEdit;
    Label6: TLabel;
    Label7: TLabel;
    Edit8: TEdit;
    Label8: TLabel;
    Edit9: TEdit;
    Label9: TLabel;
    Edit7: TEdit;
    Label10: TLabel;
    Button7: TButton;
    Edit10: TEdit;
    Label11: TLabel;
    Label12: TLabel;
    Edit11: TEdit;
    ListBox1: TListBox;
    Label13: TLabel;
    procedure Button6Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  bspListe: TListe;
  max, i, betrag:Integer;


implementation

{$R *.DFM}

procedure elementEinfuegen(liste: TListe; inhalt: Extended);
// fuegt element am Ende der Liste ein
Var element :TElement;
    bk: TBankkonto;
begin
  bk := TBankkonto.Create(inhalt);
  element := TElement.Create;
  element.SetzeInhalt(bk);
  liste.rechts_anfuegen(element);
end;  //  elementEinfuegen


function retKontostand(liste: TListe; nr: Integer): Extended;
// gibt Kontostand des Kontos mit der Nr. "nr" als Extended retour
VAR k,index:integer;
bk: TBankkonto;
begin
  index := 0;
  if (nr < 1) or (liste.GibAnzahl < nr) then
     retKontostand := 0.0
  else begin
  liste.nach_vorne; // an den Anfang der Liste
  while index < nr do begin
        bk := liste.GibInhalt;
        liste.vor;
        index := index + 1;
  End;  // while
  retKontostand := bk.gibKontostand();
  end;
end;  //  gibKontostand


procedure TForm1.Button6Click(Sender: TObject);
begin
  halt;  // beendet das Programm 
end;

procedure TForm1.Button1Click(Sender: TObject);
// Bankkonto einrichten
VAR inhalt: String;
    betrag: extended;
    nr: Integer;
begin
    inhalt :=  Edit1.Text;
    betrag := StrToFloat(inhalt);
    elementEinfuegen(bspListe, betrag);
    // So kann man ein kleines Fenster oeffnen:
    //ShowMessage('Nr: ' + IntToStr(bspListe.GibAnzahl) );
    Listbox1.Items.Add(IntToStr(bspListe.GibAnzahl));
end;

procedure TForm1.Button2Click(Sender: TObject);
// Kontostand anzeigen
VAR inhalt: String;
    nr: Integer;
    betrag: extended;

begin
    inhalt :=  Edit2.Text;
    nr := StrToInt(inhalt);
    betrag := retKontostand(bspListe, nr);
    Edit11.Text := FloatToStr(betrag);
    // So kann man ein kleines Fenster oeffnen:
    // ShowMessage('Betrag = ' + FloatToStr(betrag));
end;

procedure TForm1.ListBox1Click(Sender: TObject);
// behandelt Klick auf ListBox
Var nr: Integer;
begin
  //ShowMessage('Gewhlt: ' + IntToStr(ListBox1.ItemIndex));
  nr := ListBox1.ItemIndex + 1;
  Edit2.Text := IntToStr(nr);
  Edit9.Text := IntToStr(nr);
  Edit10.Text := IntToStr(nr);
end;

procedure TForm1.Button3Click(Sender: TObject);
// auf Konto einzahlen
begin
  ShowMessage('Aufgabe Nr. 2!');
end;

procedure TForm1.Button4Click(Sender: TObject);
// von Konto abheben
begin
  ShowMessage('Aufgabe Nr. 3!');
end;

procedure TForm1.Button5Click(Sender: TObject);
// Transfer
begin
  ShowMessage('Aufgabe Nr. 4!');
end;

procedure TForm1.Button7Click(Sender: TObject);
// Konto loeschen
begin
  ShowMessage('Aufgabe Nr. 5!');
end;

///////////////////////////////////

Begin

bspListe := TListe.Create;
bspListe.Init;

end.
