unit bankkonto2;

// Info Q1, 2012-08-26

interface

type
TBankkonto = class  // bekannt => Sitzung 1
           private
             kontostand : Extended;
           public
             constructor Create(startBetrag: Extended);
             procedure  Init;
             procedure  anzeigen();
             function gibKontostand:  Extended;
             procedure  einzahlung(betrag: Extended);
             procedure  auszahlung(betrag: Extended);
             // die folgende Vereinbarung funktioniert nur in Delphi 5!
             procedure  transfer(betrag: Extended; konto2: TBankkonto);
             //...
          end;


TTaschengeld = class(TBankkonto)  // Vererbung!
           private
             unterGrenze : Extended;
           public
             constructor Create(startBetrag, grenze: Extended);
             procedure  Init;
             // Die Methode auszahlung aus der Klasse
             // TBankkonto wird ueberschrieben
             procedure  auszahlung(betrag: Extended);
          end;


implementation

constructor TBankkonto.Create(startbetrag: Extended);
begin
  inherited Create;
  Init;
  kontostand := startbetrag;
end;

procedure  TBankkonto.Init;
begin
  kontostand := 0.0;
end;

procedure  TBankkonto.anzeigen();
begin
  WriteLn(kontostand:8:2);
end;

function  TBankkonto.gibKontostand;
begin
  result := kontostand;
end;


procedure  TBankkonto.einzahlung(betrag: Extended);
begin
  kontostand := kontostand + betrag;
end;

procedure  TBankkonto.auszahlung(betrag: Extended);
begin
  kontostand := kontostand - betrag;
end;

procedure TBankkonto.transfer(betrag: Extended; konto2: TBankkonto);
// ueberweist von einem Konto des Typs TBankkonto auf das konto2
// Loesung von Aufgabe 3, Sitzung 1 (2010-08-19)
begin
   auszahlung(betrag);  // abheben
   konto2.einzahlung(betrag); // einzahlen auf das 2. Konto
end;


constructor TTaschengeld.Create(startBetrag,  grenze: Extended);
begin
  Init;
  inherited Create(startBetrag);  // aus der Klasse  TBankkonto
  unterGrenze := grenze;
end;

procedure  TTaschengeld.Init;
begin
  inherited init;   // aus der Klasse  TBankkonto
  unterGrenze :=  0.0;
end;

procedure  TTaschengeld.auszahlung(betrag: Extended);
begin
  if kontostand >= betrag then
  kontostand := kontostand - betrag
  else
    WriteLn('Kein Ueberziehen nicht moeglich . . .');
end;

end.  // der Unit bankkonto2
